<template>
    <v-app class="bg">
        <v-navigation-drawer v-model="drawer" :mini-variant="miniVariant" :clipped="clipped" fixed app>
            <v-list>
                <v-list-item v-for="(item, i) in items" :key="i" :to="item.to" router exact>
                    <v-list-item-action>
                        <v-icon>{{ item.icon }}</v-icon>
                    </v-list-item-action>
                    <v-list-item-content>
                        <v-list-item-title v-text="item.title" />
                    </v-list-item-content>
                </v-list-item>
            </v-list>
        </v-navigation-drawer>
        <v-app-bar :clipped-left="clipped" fixed app>
            <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
        </v-app-bar>
        <v-main>
            <v-container>
                <Nuxt />
            </v-container>
        </v-main>
        <v-navigation-drawer v-model="rightDrawer" :right="right" temporary fixed>

        </v-navigation-drawer>
        <v-footer :absolute="!fixed" app>
        </v-footer>
    </v-app>
</template>
  
<script>
export default {
    name: 'DefaultLayout',
    data() {
        return {
            clipped: false,
            drawer: false,
            fixed: false,
            items: [
                {
                    icon: ' mdi-card-bulleted-settings-outline',
                    title: 'Overall',
                    to: '/overall'
                },
                {
                    icon: 'mdi-book-open-page-variant-outline',
                    title: 'Stock',
                    to: '/manager'
                },
                
                {
                    icon: 'mdi-application-edit-outline',
                    title: 'Edit',
                    to: '/editstock'
                },{
                icon: ' mdi-book-multiple-outline',
                    title: 'Controller',
                    to: '/backup_manager'
                },
                {
                    icon: 'mdi-account-convert',
                    title: 'Logout',
                    to: '/'
                }
            ],
            miniVariant: false,
            right: false,
            rightDrawer: false,
            title: ''
        }
    }
}
</script>
<style scoped>

.bg{
  /* background-image: 'ITWEBAPP\ITWEBAPP\pic'; */

  
  background-image: url('../static/pexels-pixabay-513476.jpg');
  background-size: cover;
  
}
</style>